| DocBook: The Definitive Guide 2.0.17 (Alpha)

# guimenu

$Revision$

$Date$

guimenu — The name of a menu in a GUI

## Synopsis

### Mixed Content Model

    guimenu ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage|accel|superscript|subscript)*

### Attributes

Common attributes

Name | Type | Default

moreinfo

Enumeration:
none
refentry

"none"

## Description

`GUIMenu` identifies a menu name in a graphical user interface. In particular, this is distinct from a menu item (`GUIMenuItem`), which is terminal, and a submenu (`GUISubmenu`), which occurs as a selection from a menu.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Parents

These elements contain guimenu: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `menuchoice`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in guimenu: `accel`, `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`, `subscript`, `superscript`.

## Attributes

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `GUIMenu`.

## See Also

`accel`, `guibutton`, `guiicon`, `guilabel`, `guimenuitem`, `guisubmenu`, `keycap`, `keycode`, `keycombo`, `keysym`, `menuchoice`, `mousebutton`, `shortcut`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    You can exit from GNU Emacs with the keyboard shortcut
    <keycombo><keysym>C-c</keysym><keysym>C-x</keysym></keycombo>
    or by selecting <guimenuitem>Exit Emacs</guimenuitem> from
    the <guimenu>Files</guimenu> menu.
    </para>

You can exit from GNU Emacs with the keyboard shortcut C-c+C-x or by selecting Exit Emacs from the Files menu.

For additional examples, see also `accel`, `guimenuitem`, `guisubmenu`, `menuchoice`, `shortcut`.

guilabel |  | guimenuitem

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.